PATCHUpdate Flexible Webhook

Flexible Webhook APIhttps://web3.nodit.io/v1/aptos/mainnet/flexible-webhooks/9193601422344750850

Updates the metadata of an existing Webhook subscription. Only name, description, and status can be modified. For any other changes, create a new Webhook subscription.

Path Parameters
chainstring (enum)required

Parameter to specify the target chain for the query.

networkstring (enum)required

Parameter to specify the network of the target chain. Supported networks may vary depending on the chain.

subscriptionIdstringrequired

The unique ID that identifies a Webhook subscription.

Request Body
namestring

The new display name for the Flexible Webhook subscription. Up to 255 characters.

descriptionstring

An optional description of the Webhook subscription.

statusstring (enum)

The subscription status of this Flexible Webhook.

Responses
subscriptionIdstring

The unique ID that identifies this Flexible Webhook.

projectIdstring

The ID of the project this Flexible Webhook belongs to.

accountIdstring

The ID of the account that created this Flexible Webhook.

namestring

The display name of the Flexible Webhook subscription.

descriptionstring

An optional description of the Flexible Webhook subscription.

chainstring

The name of the blockchain this Flexible Webhook is subscribed to.

networkstring

The network of the blockchain this Flexible Webhook is subscribed to.

streamIdstring

The unique ID of the on-chain data trackable via Flexible Webhook. You can look this up using the Get Stream Schema API or List Flexible Streams API.

streamSlugstring

The slug identifying this Stream.

filterExpressionstring

A CEL (Common Expression Language) expression used to filter events. Use the Get Stream Schema API or List Flexible Streams API to view the stream's schema.

receiveFieldsstring[]

List of fields to include in the Webhook payload. If not specified, all fields from the stream are received.

deliveryChannelstring (enum)

The delivery channel for event data.

destinationstring

The endpoint URL that receives events for this Flexible Webhook subscription.

signingKeystring

The signing key used to authenticate Flexible Webhook notifications. After receiving a notification, use this key to verify its validity.

The signing key is automatically generated when the Flexible Webhook is created and is only available in the creation response.

statusstring (enum)

The subscription status of this Flexible Webhook.

createdAtstring (date-time)

The date and time this Flexible Webhook subscription was created (ISO 8601 format).

updatedAtstring (date-time)

The date and time this Flexible Webhook subscription was last updated (ISO 8601 format).

X-API-KEY
Request
cURL
curl -X PATCH "https://web3.nodit.io/v1/aptos/mainnet/flexible-webhooks/9193601422344750850" \
  -H "X-API-KEY: {YOUR_API_KEY}" \
  -H "Content-Type: application/json" \
  -d '{
  "name": "renamed-webhook",
  "status": "PAUSED"
}'
Response
Example · 200
{
  "subscriptionId": "string",
  "projectId": "string",
  "accountId": "string",
  "name": "string",
  "description": "string",
  "chain": "string",
  "network": "string",
  "streamId": "string",
  "streamSlug": "string",
  "filterExpression": "string",
  "receiveFields": [
    "string"
  ],
  "deliveryChannel": "WEBHOOK",
  "destination": "string",
  "signingKey": "string",
  "status": "ACTIVE",
  "createdAt": "string",
  "updatedAt": "string"
}